# My Project: TraderClient Class Reference

Loading...
Searching...
No Matches
TraderClient Class Reference
Collaboration diagram for TraderClient:

## Public Member Functions

| TraderClient (std::shared_ptr< Channel > channel)

## Private Attributes

std::unique_ptr< TradingService::Stub > | stub_

## Constructor & Destructor Documentation

## TraderClient()

TraderClient::TraderClient | ( | std::shared_ptr< Channel > | channel | ) |

inline

References stub_.

## Member Data Documentation

## stub_

std::unique_ptr<TradingService::Stub> TraderClient::stub_

private

Referenced by TraderClient().

The documentation for this class was generated from the following file:

- src/grpc_client.cc